Bug 56243 - (IDE RZ1000)RZ1000 IDE controller no longer working in 2.4.x
(IDE RZ1000)RZ1000 IDE controller no longer working in 2.4.x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 10:43 EST by Russell McOrmond
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell McOrmond 2001-11-14 10:43:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
Previous versions of the Kernel would work with my older RZ1000 IDE
controller, but not with the latest kernel updates.

Works with 2.2.12-20, not with 2.4.7-10 , 2.4.9-13


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install new kernel
2. reboot
3. IDE devices no longer available
4. Reboot into old kernel and all works as before.	

Additional info:

Here is some kernel output from various kernels:

2.4.9-13
RZ1000: IDE controller on PCI bus 00 dev 08
PCI: Enabling device 00:01.0 (0000 -> 0001)
RZ1000: chipset revision 1
RZ1000: not 100% native mode: will probe irqs later
ide0: disabled chipset read-ahead (buggy RZ1000/RZ1001)
ide1: disabled chipset read-ahead (buggy RZ1000/RZ1001)
ide2: ports already in use, skipping probe


2.4.7-10 
RZ1000: IDE controller on PCI bus 00 dev 08
PCI: Enabling device 00:01.0 (0000 -> 0001)
RZ1000: chipset revision 1
RZ1000: not 100% native mode: will probe irqs later
ide0: disabled chipset read-ahead (buggy RZ1000/RZ1001)
ide1: disabled chipset read-ahead (buggy RZ1000/RZ1001)
ide2: ports already in use, skipping probe


2.2.12-20
RZ1000: IDE controller on PCI bus 00 dev 08
RZ1000: device not capable of full native PCI mode
RZ1000: device disabled (BIOS)
hda: LG CD-ROM CRD-8521B, ATAPI CDROM drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: ATAPI 52X CD-ROM drive, 128kB Cache
Comment 1 Russell McOrmond 2002-08-22 20:27:03 EDT
I am wondering if there has been any progress with this bug? I have machines
that are not able to be upgraded to recent versions of RedHat due to this
problem.

Any help appreciated.
Comment 2 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.